Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060636 - Dialogue for attaching ISOs is not logically ordered
Summary: Dialogue for attaching ISOs is not logically ordered
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Ravi Nori
QA Contact: Tareq Alayan
URL:
Whiteboard: infra
Depends On:
Blocks: 1062958 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-03 06:48 UTC by Tomas Dosek
Modified: 2018-12-05 17:08 UTC (History)
10 users (show)

Fixed In Version: av1
Doc Type: Bug Fix
Doc Text:
Previously, ISO files uploaded to the ISO domain of a Red Hat Enterprise Virtualization Manager were not ordered alphabetically or numerically. Now, all ISO files are ordered in decreasing order in accordance with their version and release numbers.
Clone Of:
: 1062958 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:03:29 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (deleted)
2014-02-03 06:48 UTC, Tomas Dosek
no flags Details
screenshot (deleted)
2014-02-17 16:52 UTC, Tareq Alayan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 24019 None None None Never
oVirt gerrit 24168 None None None Never

Description Tomas Dosek 2014-02-03 06:48:06 UTC
Created attachment 858387 [details]
Screenshot

Description of problem:
Dialogue for attaching ISOs is not logically ordered.
Please take a look at the attached screenshot.

First the dialogue orders 2014 sort of alphabetically,
but then it does the same for 2013 which doesn't really look good.

Version-Release number of selected component (if applicable):
is32.2

How reproducible:
100 %

Steps to Reproduce:
1. Upload ISOs that are on the screenshot to ISO domain
2. Try to attach them to VM
3.

Actual results:
The list is ordered in non alphabetic, non numeric way, not sure how it's ordered at all

Expected results:
full alpha-numeric ordering should be done

Comment 2 Tareq Alayan 2014-02-17 13:21:09 UTC
is it also merged to upstream?

Comment 3 Eli Mesika 2014-02-17 15:09:25 UTC
(In reply to Tareq Alayan from comment #2)
> is it also merged to upstream?

sure
http://gerrit.ovirt.org/#/c/24019/

Comment 4 Tareq Alayan 2014-02-17 16:51:35 UTC
see screenshot

Comment 5 Tareq Alayan 2014-02-17 16:52:12 UTC
Created attachment 864201 [details]
screenshot

Comment 6 errata-xmlrpc 2014-06-09 15:03:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.